<?xml version="1.0" encoding="UTF-8"?>
<operations:Operation xmi:version="2.0"
    xmlns:xmi="http://www.omg.org/XMI" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:conditions="http://modelversioning.org/core/conditions/metamodel/1.0" xmlns:diff="http://www.eclipse.org/emf/compare/diff/1.1"
    xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:match="http://www.eclipse.org/emf/compare/match/1.1"
    xmlns:operations="http://modelversioning.org/operations/metamodel/1.0" xmlns:state="http://state/1.0" xmi:id="_6jwx4DDeEd6MzecFMvfiDQ"
    name="Form Composite State">
  <workingModelRoot xsi:type="state:StateMachine" xmi:id="_1">
    <states xsi:type="state:SingleState" xmi:id="_2" name="Init" isInitial="true">
      <outgoing xmi:id="_3" target="state:SingleState models/simple_statechart_composite/operation.ecore#_4"
          event="init"/>
    </states>
    <states xsi:type="state:SingleState" xmi:id="_4" name="Idle" incoming="models/simple_statechart_composite/operation.ecore#_3 models/simple_statechart_composite/operation.ecore#_8"
        isInitial="true">
      <outgoing xmi:id="_5" target="state:CompositeState models/simple_statechart_composite/operation.ecore#_99"
          event="lift"/>
    </states>
    <states xsi:type="state:CompositeState" xmi:id="_99" name="Active" incoming="models/simple_statechart_composite/operation.ecore#_5">
      <outgoing xmi:id="_8" target="state:SingleState models/simple_statechart_composite/operation.ecore#_4"
          event="hang_up"/>
      <ownedStates xsi:type="state:SingleState" xmi:id="_97" name="init" isInitial="true">
        <outgoing xmi:id="_96" target="state:SingleState models/simple_statechart_composite/operation.ecore#_6"
            event="init"/>
      </ownedStates>
      <ownedStates xsi:type="state:SingleState" xmi:id="_6" name="DialTone" incoming="models/simple_statechart_composite/operation.ecore#_96">
        <outgoing xmi:id="_7" target="state:SingleState models/simple_statechart_composite/operation.ecore#_9"
            event="dial"/>
      </ownedStates>
      <ownedStates xsi:type="state:SingleState" xmi:id="_9" name="Dialing" incoming="models/simple_statechart_composite/operation.ecore#_7"
          isFinal="true"/>
    </states>
  </workingModelRoot>
  <originModelRoot xsi:type="state:StateMachine" xmi:id="_1">
    <states xsi:type="state:SingleState" xmi:id="_2" name="Init" isInitial="true">
      <outgoing xmi:id="_3" target="state:SingleState models/simple_statechart_composite/operation.ecore#_4"
          event="init"/>
    </states>
    <states xsi:type="state:SingleState" xmi:id="_4" name="Idle" incoming="models/simple_statechart_composite/operation.ecore#_3 models/simple_statechart_composite/operation.ecore#_8 models/simple_statechart_composite/operation.ecore#_10"
        isInitial="true">
      <outgoing xmi:id="_5" target="state:SingleState models/simple_statechart_composite/operation.ecore#_6"
          event="lift"/>
    </states>
    <states xsi:type="state:SingleState" xmi:id="_6" name="DialTone" incoming="models/simple_statechart_composite/operation.ecore#_5">
      <outgoing xmi:id="_7" target="state:SingleState models/simple_statechart_composite/operation.ecore#_9"
          event="dial"/>
      <outgoing xmi:id="_8" target="state:SingleState models/simple_statechart_composite/operation.ecore#_4"
          event="hang_up"/>
    </states>
    <states xsi:type="state:SingleState" xmi:id="_9" name="Dialing" incoming="models/simple_statechart_composite/operation.ecore#_7"
        isFinal="true">
      <outgoing xmi:id="_10" target="state:SingleState models/simple_statechart_composite/operation.ecore#_4"
          event="hang_up"/>
    </states>
  </originModelRoot>
  <differenceModel xmi:id="_6jxY8DDeEd6MzecFMvfiDQ" date="2009-04-24T16:48:03.816+0200">
    <diff xmi:id="_6jxY8TDeEd6MzecFMvfiDQ" left="platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/origin.xmi"
        right="platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/working.xmi">
      <ownedElements xsi:type="diff:DiffGroup" xmi:id="_6jxY8jDeEd6MzecFMvfiDQ">
        <subDiffElements xsi:type="diff:DiffGroup" xmi:id="_6jxY8zDeEd6MzecFMvfiDQ"
            leftParent="models/simple_statechart_composite/operation.ecore#_1">
          <subDiffElements xsi:type="diff:DiffGroup" xmi:id="_6jxY9DDeEd6MzecFMvfiDQ"
              leftParent="models/simple_statechart_composite/operation.ecore#_4">
            <subDiffElements xsi:type="diff:DiffGroup" xmi:id="_6jxY9TDeEd6MzecFMvfiDQ"
                leftParent="models/simple_statechart_composite/operation.ecore#_5">
              <subDiffElements xsi:type="diff:UpdateUniqueReferenceValue" xmi:id="_6jxY9jDeEd6MzecFMvfiDQ"
                  reference="platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ixTYjDeEd6MzecFMvfiDQ"
                  rightElement="models/simple_statechart_composite/operation.ecore#_5"
                  leftElement="models/simple_statechart_composite/operation.ecore#_5"
                  leftTarget="models/simple_statechart_composite/operation.ecore#_99"
                  rightTarget="models/simple_statechart_composite/operation.ecore#_6"/>
            </subDiffElements>
            <subDiffElements xsi:type="diff:RemoveReferenceValue" xmi:id="_6jxY9zDeEd6MzecFMvfiDQ"
                reference="platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6dzDeEd6MzecFMvfiDQ"
                rightElement="models/simple_statechart_composite/operation.ecore#_4"
                leftElement="models/simple_statechart_composite/operation.ecore#_4"
                leftRemovedTarget="models/simple_statechart_composite/operation.ecore#_10"/>
          </subDiffElements>
          <subDiffElements xsi:type="diff:DiffGroup" xmi:id="_6jxY-DDeEd6MzecFMvfiDQ"
              leftParent="models/simple_statechart_composite/operation.ecore#_6">
            <subDiffElements xsi:type="diff:DiffGroup" xmi:id="_6jxY-TDeEd6MzecFMvfiDQ"
                leftParent="models/simple_statechart_composite/operation.ecore#_8">
              <subDiffElements xsi:type="diff:MoveModelElement" xmi:id="_6jxY-jDeEd6MzecFMvfiDQ"
                  rightElement="models/simple_statechart_composite/operation.ecore#_8"
                  leftElement="models/simple_statechart_composite/operation.ecore#_8"
                  rightTarget="models/simple_statechart_composite/operation.ecore#_6"/>
            </subDiffElements>
            <subDiffElements xsi:type="diff:AddReferenceValue" xmi:id="_6jxY-zDeEd6MzecFMvfiDQ"
                reference="platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6dzDeEd6MzecFMvfiDQ"
                rightElement="models/simple_statechart_composite/operation.ecore#_6"
                leftElement="models/simple_statechart_composite/operation.ecore#_6"
                rightAddedTarget="models/simple_statechart_composite/operation.ecore#_96"/>
            <subDiffElements xsi:type="diff:RemoveReferenceValue" xmi:id="_6jxY_DDeEd6MzecFMvfiDQ"
                reference="platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6dzDeEd6MzecFMvfiDQ"
                rightElement="models/simple_statechart_composite/operation.ecore#_6"
                leftElement="models/simple_statechart_composite/operation.ecore#_6"
                leftRemovedTarget="models/simple_statechart_composite/operation.ecore#_5"
                rightRemovedTarget="models/simple_statechart_composite/operation.ecore#_5"/>
            <subDiffElements xsi:type="diff:MoveModelElement" xmi:id="_6jxY_TDeEd6MzecFMvfiDQ"
                rightElement="models/simple_statechart_composite/operation.ecore#_6"
                leftElement="models/simple_statechart_composite/operation.ecore#_6"
                rightTarget="models/simple_statechart_composite/operation.ecore#_1"/>
          </subDiffElements>
          <subDiffElements xsi:type="diff:DiffGroup" xmi:id="_6jxY_jDeEd6MzecFMvfiDQ"
              leftParent="models/simple_statechart_composite/operation.ecore#_9">
            <subDiffElements xsi:type="diff:MoveModelElement" xmi:id="_6jxY_zDeEd6MzecFMvfiDQ"
                rightElement="models/simple_statechart_composite/operation.ecore#_9"
                leftElement="models/simple_statechart_composite/operation.ecore#_9"
                rightTarget="models/simple_statechart_composite/operation.ecore#_1"/>
            <subDiffElements xsi:type="diff:RemoveModelElement" xmi:id="_6jxZADDeEd6MzecFMvfiDQ"
                rightParent="models/simple_statechart_composite/operation.ecore#_9"
                leftElement="models/simple_statechart_composite/operation.ecore#_10"/>
          </subDiffElements>
          <subDiffElements xsi:type="diff:AddModelElement" xmi:id="_6jxZATDeEd6MzecFMvfiDQ"
              leftParent="models/simple_statechart_composite/operation.ecore#_1" rightElement="models/simple_statechart_composite/operation.ecore#_99"/>
        </subDiffElements>
        <subDiffElements xsi:type="diff:AddModelElement" xmi:id="_6jxZAjDeEd6MzecFMvfiDQ"
            rightElement="models/simple_statechart_composite/operation.ecore#_97"/>
        <subDiffElements xsi:type="diff:AddModelElement" xmi:id="_6jxZAzDeEd6MzecFMvfiDQ"
            rightElement="models/simple_statechart_composite/operation.ecore#_96"/>
      </ownedElements>
    </diff>
    <match xmi:id="_6jxZBDDeEd6MzecFMvfiDQ" leftModel="platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/origin.xmi"
        rightModel="platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/working.xmi">
      <matchedElements xsi:type="match:Match2Elements" xmi:id="_6jxZBTDeEd6MzecFMvfiDQ"
          similarity="1.0" leftElement="models/simple_statechart_composite/operation.ecore#_1"
          rightElement="models/simple_statechart_composite/operation.ecore#_1">
        <subMatchElements xsi:type="match:Match2Elements" xmi:id="_6jxZBjDeEd6MzecFMvfiDQ"
            similarity="1.0" leftElement="models/simple_statechart_composite/operation.ecore#_3"
            rightElement="models/simple_statechart_composite/operation.ecore#_3"/>
        <subMatchElements xsi:type="match:Match2Elements" xmi:id="_6jxZBzDeEd6MzecFMvfiDQ"
            similarity="1.0" leftElement="models/simple_statechart_composite/operation.ecore#_2"
            rightElement="models/simple_statechart_composite/operation.ecore#_2"/>
        <subMatchElements xsi:type="match:Match2Elements" xmi:id="_6jxZCDDeEd6MzecFMvfiDQ"
            similarity="1.0" leftElement="models/simple_statechart_composite/operation.ecore#_5"
            rightElement="models/simple_statechart_composite/operation.ecore#_5"/>
        <subMatchElements xsi:type="match:Match2Elements" xmi:id="_6jxZCTDeEd6MzecFMvfiDQ"
            similarity="1.0" leftElement="models/simple_statechart_composite/operation.ecore#_4"
            rightElement="models/simple_statechart_composite/operation.ecore#_4"/>
        <subMatchElements xsi:type="match:Match2Elements" xmi:id="_6jxZCjDeEd6MzecFMvfiDQ"
            similarity="1.0" leftElement="models/simple_statechart_composite/operation.ecore#_7"
            rightElement="models/simple_statechart_composite/operation.ecore#_7"/>
        <subMatchElements xsi:type="match:Match2Elements" xmi:id="_6jxZCzDeEd6MzecFMvfiDQ"
            similarity="1.0" leftElement="models/simple_statechart_composite/operation.ecore#_8"
            rightElement="models/simple_statechart_composite/operation.ecore#_8"/>
        <subMatchElements xsi:type="match:Match2Elements" xmi:id="_6jxZDDDeEd6MzecFMvfiDQ"
            similarity="1.0" leftElement="models/simple_statechart_composite/operation.ecore#_6"
            rightElement="models/simple_statechart_composite/operation.ecore#_6"/>
        <subMatchElements xsi:type="match:Match2Elements" xmi:id="_6jxZDTDeEd6MzecFMvfiDQ"
            similarity="1.0" leftElement="models/simple_statechart_composite/operation.ecore#_9"
            rightElement="models/simple_statechart_composite/operation.ecore#_9"/>
      </matchedElements>
      <unMatchedElements xmi:id="_6jxZDjDeEd6MzecFMvfiDQ" element="models/simple_statechart_composite/operation.ecore#_10"/>
      <unMatchedElements xmi:id="_6jxZDzDeEd6MzecFMvfiDQ" element="models/simple_statechart_composite/operation.ecore#_99"/>
      <unMatchedElements xmi:id="_6jxZEDDeEd6MzecFMvfiDQ" element="models/simple_statechart_composite/operation.ecore#_97"/>
      <unMatchedElements xmi:id="_6jxZETDeEd6MzecFMvfiDQ" element="models/simple_statechart_composite/operation.ecore#_96"/>
    </match>
  </differenceModel>
  <originConditionsModel xmi:id="_6jxZEjDeEd6MzecFMvfiDQ" createdAt="2009-04-24T16:48:03.820+0200"
      modelName="platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/origin.xmi">
    <rootSymbol xmi:id="_6jxZEzDeEd6MzecFMvfiDQ" name="StateMachine_0" title="779942019 : StateMachine"
        representative="models/simple_statechart_composite/operation.ecore#_1">
      <subSymbols xmi:id="_6jxZFDDeEd6MzecFMvfiDQ" name="SingleState_0" title="Init : SingleState"
          representative="models/simple_statechart_composite/operation.ecore#_2" parentsFeature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ixTYDDeEd6MzecFMvfiDQ">
        <subSymbols xmi:id="_6jxZFTDeEd6MzecFMvfiDQ" name="Transition_0" title="574775467 : Transition"
            representative="models/simple_statechart_composite/operation.ecore#_3"
            parentsFeature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6cjDeEd6MzecFMvfiDQ">
          <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jxZFjDeEd6MzecFMvfiDQ"
              involvesSymbol="false" feature="ecore:EAttribute platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ixTYzDeEd6MzecFMvfiDQ">
            <oclStrings> = 'init'</oclStrings>
          </specifications>
          <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jxZFzDeEd6MzecFMvfiDQ"
              feature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ixTYjDeEd6MzecFMvfiDQ">
            <oclStrings> = #{SingleState_1}</oclStrings>
          </specifications>
          <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jxZGDDeEd6MzecFMvfiDQ"
              feature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6cDDeEd6MzecFMvfiDQ">
            <oclStrings> = #{SingleState_0}</oclStrings>
          </specifications>
        </subSymbols>
        <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jxZGTDeEd6MzecFMvfiDQ"
            involvesSymbol="false" feature="ecore:EAttribute platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6dDDeEd6MzecFMvfiDQ">
          <oclStrings> = 'Init'</oclStrings>
        </specifications>
        <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jxZGjDeEd6MzecFMvfiDQ"
            involvesSymbol="false" feature="ecore:EAttribute platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6ezDeEd6MzecFMvfiDQ">
          <oclStrings> = false</oclStrings>
        </specifications>
        <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jxZGzDeEd6MzecFMvfiDQ"
            involvesSymbol="false" feature="ecore:EAttribute platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6iyhgDDeEd6MzecFMvfiDQ">
          <oclStrings> = true</oclStrings>
        </specifications>
        <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jxZHDDeEd6MzecFMvfiDQ"
            involvesSymbol="false" feature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6djDeEd6MzecFMvfiDQ">
          <oclStrings> = null</oclStrings>
        </specifications>
        <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyAADDeEd6MzecFMvfiDQ"
            involvesSymbol="false" feature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6dzDeEd6MzecFMvfiDQ">
          <oclStrings>->isEmpty()</oclStrings>
        </specifications>
      </subSymbols>
      <subSymbols xmi:id="_6jyAATDeEd6MzecFMvfiDQ" name="SingleState_1" title="Idle : SingleState"
          representative="models/simple_statechart_composite/operation.ecore#_4" parentsFeature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ixTYDDeEd6MzecFMvfiDQ">
        <subSymbols xmi:id="_6jyAAjDeEd6MzecFMvfiDQ" name="Transition_1" title="546571171 : Transition"
            representative="models/simple_statechart_composite/operation.ecore#_5"
            parentsFeature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6cjDeEd6MzecFMvfiDQ">
          <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyAAzDeEd6MzecFMvfiDQ"
              involvesSymbol="false" feature="ecore:EAttribute platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ixTYzDeEd6MzecFMvfiDQ">
            <oclStrings> = 'lift'</oclStrings>
          </specifications>
          <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyABDDeEd6MzecFMvfiDQ"
              feature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ixTYjDeEd6MzecFMvfiDQ">
            <oclStrings> = #{SingleState_2}</oclStrings>
          </specifications>
          <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyABTDeEd6MzecFMvfiDQ"
              feature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6cDDeEd6MzecFMvfiDQ">
            <oclStrings> = #{SingleState_1}</oclStrings>
          </specifications>
        </subSymbols>
        <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyABjDeEd6MzecFMvfiDQ"
            involvesSymbol="false" feature="ecore:EAttribute platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6dDDeEd6MzecFMvfiDQ">
          <oclStrings> = 'Idle'</oclStrings>
        </specifications>
        <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyABzDeEd6MzecFMvfiDQ"
            involvesSymbol="false" feature="ecore:EAttribute platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6ezDeEd6MzecFMvfiDQ">
          <oclStrings> = false</oclStrings>
        </specifications>
        <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyACDDeEd6MzecFMvfiDQ"
            involvesSymbol="false" feature="ecore:EAttribute platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6iyhgDDeEd6MzecFMvfiDQ">
          <oclStrings> = true</oclStrings>
        </specifications>
        <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyACTDeEd6MzecFMvfiDQ"
            involvesSymbol="false" feature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6djDeEd6MzecFMvfiDQ">
          <oclStrings> = null</oclStrings>
        </specifications>
        <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyACjDeEd6MzecFMvfiDQ"
            feature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6dzDeEd6MzecFMvfiDQ">
          <oclStrings>->includesAll(#[Transition_0])</oclStrings>
          <oclStrings>->includesAll(#[Transition_3])</oclStrings>
          <oclStrings>->includesAll(#[Transition_4])</oclStrings>
        </specifications>
      </subSymbols>
      <subSymbols xmi:id="_6jyACzDeEd6MzecFMvfiDQ" name="SingleState_2" title="DialTone : SingleState"
          representative="models/simple_statechart_composite/operation.ecore#_6" parentsFeature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ixTYDDeEd6MzecFMvfiDQ">
        <subSymbols xmi:id="_6jyADDDeEd6MzecFMvfiDQ" name="Transition_2" title="1924489565 : Transition"
            representative="models/simple_statechart_composite/operation.ecore#_7"
            parentsFeature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6cjDeEd6MzecFMvfiDQ">
          <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyADTDeEd6MzecFMvfiDQ"
              involvesSymbol="false" feature="ecore:EAttribute platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ixTYzDeEd6MzecFMvfiDQ">
            <oclStrings> = 'dial'</oclStrings>
          </specifications>
          <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyADjDeEd6MzecFMvfiDQ"
              feature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ixTYjDeEd6MzecFMvfiDQ">
            <oclStrings> = #{SingleState_3}</oclStrings>
          </specifications>
          <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyADzDeEd6MzecFMvfiDQ"
              feature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6cDDeEd6MzecFMvfiDQ">
            <oclStrings> = #{SingleState_2}</oclStrings>
          </specifications>
        </subSymbols>
        <subSymbols xmi:id="_6jyAEDDeEd6MzecFMvfiDQ" name="Transition_3" title="1644911488 : Transition"
            representative="models/simple_statechart_composite/operation.ecore#_8"
            parentsFeature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6cjDeEd6MzecFMvfiDQ">
          <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyAETDeEd6MzecFMvfiDQ"
              involvesSymbol="false" feature="ecore:EAttribute platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ixTYzDeEd6MzecFMvfiDQ">
            <oclStrings> = 'hang_up'</oclStrings>
          </specifications>
          <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyAEjDeEd6MzecFMvfiDQ"
              feature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ixTYjDeEd6MzecFMvfiDQ">
            <oclStrings> = #{SingleState_1}</oclStrings>
          </specifications>
          <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyAEzDeEd6MzecFMvfiDQ"
              feature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6cDDeEd6MzecFMvfiDQ">
            <oclStrings> = #{SingleState_2}</oclStrings>
          </specifications>
        </subSymbols>
        <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyAFDDeEd6MzecFMvfiDQ"
            involvesSymbol="false" feature="ecore:EAttribute platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6dDDeEd6MzecFMvfiDQ">
          <oclStrings> = 'DialTone'</oclStrings>
        </specifications>
        <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyAFTDeEd6MzecFMvfiDQ"
            involvesSymbol="false" feature="ecore:EAttribute platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6ezDeEd6MzecFMvfiDQ">
          <oclStrings> = false</oclStrings>
        </specifications>
        <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyAFjDeEd6MzecFMvfiDQ"
            involvesSymbol="false" feature="ecore:EAttribute platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6iyhgDDeEd6MzecFMvfiDQ">
          <oclStrings> = false</oclStrings>
        </specifications>
        <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyAFzDeEd6MzecFMvfiDQ"
            involvesSymbol="false" feature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6djDeEd6MzecFMvfiDQ">
          <oclStrings> = null</oclStrings>
        </specifications>
        <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyAGDDeEd6MzecFMvfiDQ"
            feature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6dzDeEd6MzecFMvfiDQ">
          <oclStrings>->includesAll(#[Transition_1])</oclStrings>
        </specifications>
      </subSymbols>
      <subSymbols xmi:id="_6jyAGTDeEd6MzecFMvfiDQ" name="SingleState_3" title="Dialing : SingleState"
          representative="models/simple_statechart_composite/operation.ecore#_9" parentsFeature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ixTYDDeEd6MzecFMvfiDQ">
        <subSymbols xmi:id="_6jyAGjDeEd6MzecFMvfiDQ" name="Transition_4" title="1766958866 : Transition"
            representative="models/simple_statechart_composite/operation.ecore#_10"
            parentsFeature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6cjDeEd6MzecFMvfiDQ">
          <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyAGzDeEd6MzecFMvfiDQ"
              involvesSymbol="false" feature="ecore:EAttribute platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ixTYzDeEd6MzecFMvfiDQ">
            <oclStrings> = 'hang_up'</oclStrings>
          </specifications>
          <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyAHDDeEd6MzecFMvfiDQ"
              feature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ixTYjDeEd6MzecFMvfiDQ">
            <oclStrings> = #{SingleState_1}</oclStrings>
          </specifications>
          <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyAHTDeEd6MzecFMvfiDQ"
              feature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6cDDeEd6MzecFMvfiDQ">
            <oclStrings> = #{SingleState_3}</oclStrings>
          </specifications>
        </subSymbols>
        <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyAHjDeEd6MzecFMvfiDQ"
            involvesSymbol="false" feature="ecore:EAttribute platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6dDDeEd6MzecFMvfiDQ">
          <oclStrings> = 'Dialing'</oclStrings>
        </specifications>
        <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyAHzDeEd6MzecFMvfiDQ"
            involvesSymbol="false" feature="ecore:EAttribute platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6ezDeEd6MzecFMvfiDQ">
          <oclStrings> = true</oclStrings>
        </specifications>
        <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyAIDDeEd6MzecFMvfiDQ"
            involvesSymbol="false" feature="ecore:EAttribute platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6iyhgDDeEd6MzecFMvfiDQ">
          <oclStrings> = false</oclStrings>
        </specifications>
        <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyAITDeEd6MzecFMvfiDQ"
            involvesSymbol="false" feature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6djDeEd6MzecFMvfiDQ">
          <oclStrings> = null</oclStrings>
        </specifications>
        <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyAIjDeEd6MzecFMvfiDQ"
            feature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6dzDeEd6MzecFMvfiDQ">
          <oclStrings>->includesAll(#[Transition_2])</oclStrings>
        </specifications>
      </subSymbols>
    </rootSymbol>
  </originConditionsModel>
  <workingConditionsModel xmi:id="_6jyAIzDeEd6MzecFMvfiDQ" createdAt="2009-04-24T16:48:03.831+0200"
      modelName="platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/working.xmi">
    <rootSymbol xmi:id="_6jyAJDDeEd6MzecFMvfiDQ" name="StateMachine_0" title="1873790146 : StateMachine"
        representative="models/simple_statechart_composite/operation.ecore#_1">
      <subSymbols xmi:id="_6jyAJTDeEd6MzecFMvfiDQ" name="SingleState_0" title="Init : SingleState"
          representative="models/simple_statechart_composite/operation.ecore#_2" parentsFeature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ixTYDDeEd6MzecFMvfiDQ">
        <subSymbols xmi:id="_6jyAJjDeEd6MzecFMvfiDQ" name="Transition_0" title="535368837 : Transition"
            representative="models/simple_statechart_composite/operation.ecore#_3"
            parentsFeature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6cjDeEd6MzecFMvfiDQ">
          <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyAJzDeEd6MzecFMvfiDQ"
              involvesSymbol="false" feature="ecore:EAttribute platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ixTYzDeEd6MzecFMvfiDQ">
            <oclStrings> = 'init'</oclStrings>
          </specifications>
          <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyAKDDeEd6MzecFMvfiDQ"
              feature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ixTYjDeEd6MzecFMvfiDQ">
            <oclStrings> = #{SingleState_1}</oclStrings>
          </specifications>
          <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyAKTDeEd6MzecFMvfiDQ"
              feature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6cDDeEd6MzecFMvfiDQ">
            <oclStrings> = #{SingleState_0}</oclStrings>
          </specifications>
        </subSymbols>
        <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyAKjDeEd6MzecFMvfiDQ"
            involvesSymbol="false" feature="ecore:EAttribute platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6dDDeEd6MzecFMvfiDQ">
          <oclStrings> = 'Init'</oclStrings>
        </specifications>
        <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyAKzDeEd6MzecFMvfiDQ"
            involvesSymbol="false" feature="ecore:EAttribute platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6ezDeEd6MzecFMvfiDQ">
          <oclStrings> = false</oclStrings>
        </specifications>
        <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyALDDeEd6MzecFMvfiDQ"
            involvesSymbol="false" feature="ecore:EAttribute platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6iyhgDDeEd6MzecFMvfiDQ">
          <oclStrings> = true</oclStrings>
        </specifications>
        <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyALTDeEd6MzecFMvfiDQ"
            involvesSymbol="false" feature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6djDeEd6MzecFMvfiDQ">
          <oclStrings> = null</oclStrings>
        </specifications>
        <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyALjDeEd6MzecFMvfiDQ"
            involvesSymbol="false" feature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6dzDeEd6MzecFMvfiDQ">
          <oclStrings>->isEmpty()</oclStrings>
        </specifications>
      </subSymbols>
      <subSymbols xmi:id="_6jyALzDeEd6MzecFMvfiDQ" name="SingleState_1" title="Idle : SingleState"
          representative="models/simple_statechart_composite/operation.ecore#_4" parentsFeature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ixTYDDeEd6MzecFMvfiDQ">
        <subSymbols xmi:id="_6jyAMDDeEd6MzecFMvfiDQ" name="Transition_1" title="1416822309 : Transition"
            representative="models/simple_statechart_composite/operation.ecore#_5"
            parentsFeature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6cjDeEd6MzecFMvfiDQ">
          <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyAMTDeEd6MzecFMvfiDQ"
              involvesSymbol="false" feature="ecore:EAttribute platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ixTYzDeEd6MzecFMvfiDQ">
            <oclStrings> = 'lift'</oclStrings>
          </specifications>
          <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyAMjDeEd6MzecFMvfiDQ"
              feature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ixTYjDeEd6MzecFMvfiDQ">
            <oclStrings> = #{CompositeState_0}</oclStrings>
          </specifications>
          <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyAMzDeEd6MzecFMvfiDQ"
              feature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6cDDeEd6MzecFMvfiDQ">
            <oclStrings> = #{SingleState_1}</oclStrings>
          </specifications>
        </subSymbols>
        <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyANDDeEd6MzecFMvfiDQ"
            involvesSymbol="false" feature="ecore:EAttribute platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6dDDeEd6MzecFMvfiDQ">
          <oclStrings> = 'Idle'</oclStrings>
        </specifications>
        <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyANTDeEd6MzecFMvfiDQ"
            involvesSymbol="false" feature="ecore:EAttribute platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6ezDeEd6MzecFMvfiDQ">
          <oclStrings> = false</oclStrings>
        </specifications>
        <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyANjDeEd6MzecFMvfiDQ"
            involvesSymbol="false" feature="ecore:EAttribute platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6iyhgDDeEd6MzecFMvfiDQ">
          <oclStrings> = true</oclStrings>
        </specifications>
        <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyANzDeEd6MzecFMvfiDQ"
            involvesSymbol="false" feature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6djDeEd6MzecFMvfiDQ">
          <oclStrings> = null</oclStrings>
        </specifications>
        <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyAODDeEd6MzecFMvfiDQ"
            feature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6dzDeEd6MzecFMvfiDQ">
          <oclStrings>->includesAll(#[Transition_0])</oclStrings>
          <oclStrings>->includesAll(#[Transition_2])</oclStrings>
        </specifications>
      </subSymbols>
      <subSymbols xmi:id="_6jyAOTDeEd6MzecFMvfiDQ" name="CompositeState_0" title="Active : CompositeState"
          representative="models/simple_statechart_composite/operation.ecore#_99"
          parentsFeature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ixTYDDeEd6MzecFMvfiDQ">
        <subSymbols xmi:id="_6jyAOjDeEd6MzecFMvfiDQ" name="Transition_2" title="1541364157 : Transition"
            representative="models/simple_statechart_composite/operation.ecore#_8"
            parentsFeature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6cjDeEd6MzecFMvfiDQ">
          <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyAOzDeEd6MzecFMvfiDQ"
              involvesSymbol="false" feature="ecore:EAttribute platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ixTYzDeEd6MzecFMvfiDQ">
            <oclStrings> = 'hang_up'</oclStrings>
          </specifications>
          <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyAPDDeEd6MzecFMvfiDQ"
              feature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ixTYjDeEd6MzecFMvfiDQ">
            <oclStrings> = #{SingleState_1}</oclStrings>
          </specifications>
          <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyAPTDeEd6MzecFMvfiDQ"
              feature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6cDDeEd6MzecFMvfiDQ">
            <oclStrings> = #{CompositeState_0}</oclStrings>
          </specifications>
        </subSymbols>
        <subSymbols xmi:id="_6jyAPjDeEd6MzecFMvfiDQ" name="SingleState_2" title="init : SingleState"
            representative="models/simple_statechart_composite/operation.ecore#_97"
            parentsFeature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6iyhhDDeEd6MzecFMvfiDQ">
          <subSymbols xmi:id="_6jyAPzDeEd6MzecFMvfiDQ" name="Transition_3" title="2007759836 : Transition"
              representative="models/simple_statechart_composite/operation.ecore#_96"
              parentsFeature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6cjDeEd6MzecFMvfiDQ">
            <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyAQDDeEd6MzecFMvfiDQ"
                involvesSymbol="false" feature="ecore:EAttribute platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ixTYzDeEd6MzecFMvfiDQ">
              <oclStrings> = 'init'</oclStrings>
            </specifications>
            <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyAQTDeEd6MzecFMvfiDQ"
                feature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ixTYjDeEd6MzecFMvfiDQ">
              <oclStrings> = #{SingleState_3}</oclStrings>
            </specifications>
            <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyAQjDeEd6MzecFMvfiDQ"
                feature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6cDDeEd6MzecFMvfiDQ">
              <oclStrings> = #{SingleState_2}</oclStrings>
            </specifications>
          </subSymbols>
          <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyAQzDeEd6MzecFMvfiDQ"
              involvesSymbol="false" feature="ecore:EAttribute platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6dDDeEd6MzecFMvfiDQ">
            <oclStrings> = 'init'</oclStrings>
          </specifications>
          <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyARDDeEd6MzecFMvfiDQ"
              involvesSymbol="false" feature="ecore:EAttribute platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6ezDeEd6MzecFMvfiDQ">
            <oclStrings> = false</oclStrings>
          </specifications>
          <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyARTDeEd6MzecFMvfiDQ"
              involvesSymbol="false" feature="ecore:EAttribute platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6iyhgDDeEd6MzecFMvfiDQ">
            <oclStrings> = true</oclStrings>
          </specifications>
          <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jyARjDeEd6MzecFMvfiDQ"
              feature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6djDeEd6MzecFMvfiDQ">
            <oclStrings> = #{CompositeState_0}</oclStrings>
          </specifications>
          <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jynEDDeEd6MzecFMvfiDQ"
              involvesSymbol="false" feature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6dzDeEd6MzecFMvfiDQ">
            <oclStrings>->isEmpty()</oclStrings>
          </specifications>
        </subSymbols>
        <subSymbols xmi:id="_6jynETDeEd6MzecFMvfiDQ" name="SingleState_3" title="DialTone : SingleState"
            representative="models/simple_statechart_composite/operation.ecore#_6"
            parentsFeature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6iyhhDDeEd6MzecFMvfiDQ">
          <subSymbols xmi:id="_6jynEjDeEd6MzecFMvfiDQ" name="Transition_4" title="2040380475 : Transition"
              representative="models/simple_statechart_composite/operation.ecore#_7"
              parentsFeature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6cjDeEd6MzecFMvfiDQ">
            <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jynEzDeEd6MzecFMvfiDQ"
                involvesSymbol="false" feature="ecore:EAttribute platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ixTYzDeEd6MzecFMvfiDQ">
              <oclStrings> = 'dial'</oclStrings>
            </specifications>
            <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jynFDDeEd6MzecFMvfiDQ"
                feature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ixTYjDeEd6MzecFMvfiDQ">
              <oclStrings> = #{SingleState_4}</oclStrings>
            </specifications>
            <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jynFTDeEd6MzecFMvfiDQ"
                feature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6cDDeEd6MzecFMvfiDQ">
              <oclStrings> = #{SingleState_3}</oclStrings>
            </specifications>
          </subSymbols>
          <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jynFjDeEd6MzecFMvfiDQ"
              involvesSymbol="false" feature="ecore:EAttribute platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6dDDeEd6MzecFMvfiDQ">
            <oclStrings> = 'DialTone'</oclStrings>
          </specifications>
          <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jynFzDeEd6MzecFMvfiDQ"
              involvesSymbol="false" feature="ecore:EAttribute platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6ezDeEd6MzecFMvfiDQ">
            <oclStrings> = false</oclStrings>
          </specifications>
          <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jynGDDeEd6MzecFMvfiDQ"
              involvesSymbol="false" feature="ecore:EAttribute platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6iyhgDDeEd6MzecFMvfiDQ">
            <oclStrings> = false</oclStrings>
          </specifications>
          <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jynGTDeEd6MzecFMvfiDQ"
              feature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6djDeEd6MzecFMvfiDQ">
            <oclStrings> = #{CompositeState_0}</oclStrings>
          </specifications>
          <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jynGjDeEd6MzecFMvfiDQ"
              feature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6dzDeEd6MzecFMvfiDQ">
            <oclStrings>->includesAll(#[Transition_3])</oclStrings>
          </specifications>
        </subSymbols>
        <subSymbols xmi:id="_6jynGzDeEd6MzecFMvfiDQ" name="SingleState_4" title="Dialing : SingleState"
            representative="models/simple_statechart_composite/operation.ecore#_9"
            parentsFeature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6iyhhDDeEd6MzecFMvfiDQ">
          <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jynHDDeEd6MzecFMvfiDQ"
              involvesSymbol="false" feature="ecore:EAttribute platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6dDDeEd6MzecFMvfiDQ">
            <oclStrings> = 'Dialing'</oclStrings>
          </specifications>
          <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jynHTDeEd6MzecFMvfiDQ"
              involvesSymbol="false" feature="ecore:EAttribute platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6ezDeEd6MzecFMvfiDQ">
            <oclStrings> = true</oclStrings>
          </specifications>
          <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jynHjDeEd6MzecFMvfiDQ"
              involvesSymbol="false" feature="ecore:EAttribute platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6iyhgDDeEd6MzecFMvfiDQ">
            <oclStrings> = false</oclStrings>
          </specifications>
          <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jynHzDeEd6MzecFMvfiDQ"
              feature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6djDeEd6MzecFMvfiDQ">
            <oclStrings> = #{CompositeState_0}</oclStrings>
          </specifications>
          <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jynIDDeEd6MzecFMvfiDQ"
              feature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6dzDeEd6MzecFMvfiDQ">
            <oclStrings>->includesAll(#[Transition_4])</oclStrings>
          </specifications>
        </subSymbols>
        <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jynITDeEd6MzecFMvfiDQ"
            involvesSymbol="false" feature="ecore:EAttribute platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6dDDeEd6MzecFMvfiDQ">
          <oclStrings> = 'Active'</oclStrings>
        </specifications>
        <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jynIjDeEd6MzecFMvfiDQ"
            involvesSymbol="false" feature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6djDeEd6MzecFMvfiDQ">
          <oclStrings> = null</oclStrings>
        </specifications>
        <specifications xsi:type="conditions:FeatureCondition" xmi:id="_6jynIzDeEd6MzecFMvfiDQ"
            feature="ecore:EReference platform:/plugin/org.modelversioning.operations.test/models/simple_statechart_composite/State.ecore#_6ix6dzDeEd6MzecFMvfiDQ">
          <oclStrings>->includesAll(#[Transition_1])</oclStrings>
        </specifications>
      </subSymbols>
    </rootSymbol>
  </workingConditionsModel>
</operations:Operation>
